gtkToggleButton <-
function( label, show = TRUE, .flush = TRUE )
{
  if(missing( label ))
     gtkToggleButtonNew ( show, .flush )
  else
     gtkToggleButtonNewWithLabel ( label, show, .flush )
}
 

gtkProgressBar <-
function( adjustment = NULL, show = TRUE, .flush = TRUE )
{
  if(missing( adjustment ))
     gtkProgressBarNew ( show, .flush )
  else
     gtkProgressBarNewWithAdjustment ( adjustment, show, .flush )
}
 

gtkCheckButton <-
function( label, show = TRUE, .flush = TRUE )
{
  if(missing( label ))
     gtkCheckButtonNew ( show, .flush )
  else
     gtkCheckButtonNewWithLabel ( label, show, .flush )
}
 

gtkMenuItem <-
function( label, show = TRUE, .flush = TRUE )
{
  if(missing( label ))
     gtkMenuItemNew ( show, .flush )
  else
     gtkMenuItemNewWithLabel ( label, show, .flush )
}
 

gtkButton <-
function( label, show = TRUE, .flush = TRUE )
{
  if(missing( label ))
     gtkButtonNew ( show, .flush )
  else
     gtkButtonNewWithLabel ( label, show, .flush )
}
 

gtkCheckMenuItem <-
function( label, show = TRUE, .flush = TRUE )
{
  if(missing( label ))
     gtkCheckMenuItemNew ( show, .flush )
  else
     gtkCheckMenuItemNewWithLabel ( label, show, .flush )
}
 

gtkRadioButton <-
function( group = NULL, label, show = TRUE, .flush = TRUE )
{
  if(missing( group ))
     gtkRadioButtonNewFromWidget ( group, show, .flush )
  else
     gtkRadioButtonNewWithLabelFromWidget ( group, label, show, .flush )
}
 

gtkCList <-
function( columns, titles, show = TRUE, .flush = TRUE )
{
  if(missing( columns ))
     gtkCListNew ( columns, show, .flush )
  else
     gtkCListNewWithTitles ( columns, titles, show, .flush )
}
 

gdkCursor <-
function( cursor.type = GdkCursorType[1], source, mask, fg, bg, x, y )
{
  if(missing( cursor.type ))
     gdkCursorNew ( cursor.type )
  else
     gdkCursorNewFromPixmap ( source, mask, fg, bg, x, y )
}
 

gtkEntry <-
function( max, show = TRUE, .flush = TRUE )
{
  if(missing( max ))
     gtkEntryNew ( show, .flush )
  else
     gtkEntryNewWithMaxLength ( max, show, .flush )
}
 

gtkTreeItem <-
function( label, show = TRUE, .flush = TRUE )
{
  if(missing( label ))
     gtkTreeItemNew ( show, .flush )
  else
     gtkTreeItemNewWithLabel ( label, show, .flush )
}
 

gtkRadioButton <-
function( group = NULL, label, show = TRUE, .flush = TRUE )
{
  if(missing( group ))
     gtkRadioButtonNewFromWidget ( group, show, .flush )
  else
     gtkRadioButtonNewWithLabelFromWidget ( group, label, show, .flush )
}
 

gtkListItem <-
function( label, show = TRUE, .flush = TRUE )
{
  if(missing( label ))
     gtkListItemNew ( show, .flush )
  else
     gtkListItemNewWithLabel ( label, show, .flush )
}
 

gtkText <- gtkTextNew
gtkVScrollbar <- gtkVScrollbarNew
gtkAccelGroup <- gtkAccelGroupNew
gtkFixed <- gtkFixedNew
gtkList <- gtkListNew
gtkFrame <- gtkFrameNew
gtkNotebook <- gtkNotebookNew
gtkLayout <- gtkLayoutNew
gtkTable <- gtkTableNew
gtkOptionMenu <- gtkOptionMenuNew
gtkTipsQuery <- gtkTipsQueryNew
gtkVRuler <- gtkVRulerNew
gtkColorSelection <- gtkColorSelectionNew
gtkAccelLabel <- gtkAccelLabelNew
gtkScrolledWindow <- gtkScrolledWindowNew
gtkArrow <- gtkArrowNew
gtkCurve <- gtkCurveNew
gtkFileSelection <- gtkFileSelectionNew
gtkPlug <- gtkPlugNew
gtkCombo <- gtkComboNew
gtkHScrollbar <- gtkHScrollbarNew
gtkMenuBar <- gtkMenuBarNew
gtkToolbar <- gtkToolbarNew
gtkItemFactory <- gtkItemFactoryNew
gtkInputDialog <- gtkInputDialogNew
gtkVPaned <- gtkVPanedNew
gtkStatusbar <- gtkStatusbarNew
gtkAdjustment <- gtkAdjustmentNew
gtkFontSelection <- gtkFontSelectionNew
gtkPreview <- gtkPreviewNew
gtkPixmap <- gtkPixmapNew
gtkTearoffMenuItem <- gtkTearoffMenuItemNew
gtkCalendar <- gtkCalendarNew
gtkHButtonBox <- gtkHButtonBoxNew
gtkAlignment <- gtkAlignmentNew
gtkLabel <- gtkLabelNew
gtkHandleBox <- gtkHandleBoxNew
gtkDialog <- gtkDialogNew
gtkHSeparator <- gtkHSeparatorNew
gtkGammaCurve <- gtkGammaCurveNew
gtkPacker <- gtkPackerNew
gtkSpinButton <- gtkSpinButtonNew
gtkDrawingArea <- gtkDrawingAreaNew
gtkWindow <- gtkWindowNew
gtkHScale <- gtkHScaleNew
gtkVButtonBox <- gtkVButtonBoxNew
gtkColorSelectionDialog <- gtkColorSelectionDialogNew
gtkVSeparator <- gtkVSeparatorNew
gtkHRuler <- gtkHRulerNew
gtkFontSelectionDialog <- gtkFontSelectionDialogNew
gtkSocket <- gtkSocketNew
gtkVScale <- gtkVScaleNew
gtkTooltips <- gtkTooltipsNew
gtkAspectFrame <- gtkAspectFrameNew
gtkVBox <- gtkVBoxNew
gtkViewport <- gtkViewportNew
gtkMenu <- gtkMenuNew
gtkTree <- gtkTreeNew
gtkHBox <- gtkHBoxNew
gtkHPaned <- gtkHPanedNew
gtkEventBox <- gtkEventBoxNew





.GtkClasses  <- c( "GtkAccelLabel", "GtkAdjustment", "GtkAlignment", "GtkArrow", "GtkAspectFrame", "GtkBin", "GtkBox", "GtkButton", "GtkButtonBox", "GtkCalendar", "GtkCheckButton", "GtkCheckMenuItem", "GtkCList", "GtkColorSelection", "GtkColorSelectionDialog", "GtkCombo", "GtkContainer", "GtkCTree", "GtkCurve", "GtkData", "GtkDialog", "GtkDrawingArea", "GtkEditable", "GtkEntry", "GtkEventBox", "GtkFileSelection", "GtkFixed", "GtkFontSelection", "GtkFontSelectionDialog", "GtkFrame", "GtkGammaCurve", "GtkHandleBox", "GtkHBox", "GtkHButtonBox", "GtkHPaned", "GtkHRuler", "GtkHScale", "GtkHScrollbar", "GtkHSeparator", "GtkInputDialog", "GtkItem", "GtkItemFactory", "GtkLabel", "GtkLayout", "GtkList", "GtkListItem", "GtkMenu", "GtkMenuBar", "GtkMenuItem", "GtkMenuShell", "GtkMisc", "GtkNotebook", "GtkObject", "GtkOptionMenu", "GtkPacker", "GtkPaned", "GtkPixmap", "GtkPlug", "GtkPreview", "GtkProgress", "GtkProgressBar", "GtkRadioButton", "GtkRadioMenuItem", "GtkRange", "GtkRuler", "GtkScale", "GtkScrollbar", "GtkScrolledWindow", "GtkSeparator", "GtkSocket", "GtkSpinButton", "GtkStatusbar", "GtkTable", "GtkTearoffMenuItem", "GtkText", "GtkTipsQuery", "GtkToggleButton", "GtkToolbar", "GtkTooltips", "GtkTree", "GtkTreeItem", "GtkVBox", "GtkVButtonBox", "GtkViewport", "GtkVPaned", "GtkVRuler", "GtkVScale", "GtkVScrollbar", "GtkVSeparator", "GtkWidget", "GtkWindow" )

