\name{.GtkCall}
\alias{.GtkCall}
\title{A Gtk-specific .Call()}
\description{
  This is a wrapper for the general \code{\link{.Call}}
  that adds an optional call to \code{\link{gdkFlush}}
  at the end to flush all of the Gdk and Gtk events
  to update the display, etc.
}
\usage{
.GtkCall(name, ..., .flush=TRUE)
}
\arguments{
  \item{name}{the name of the native C routine to call.}
  \item{...}{the arguments to pass to the C routine.
    These can contain the specific named arguments
    for \code{\link{.Call}} such as \code{PACKAGE}
    and \code{DUP}.}
  \item{.flush}{a logical value indicating whether to call
    \code{\link{gdkFlush}} after the \code{\link{.Call}}
   returns.}
}
\details{
}
\value{
 The value returned by the actual call to \code{\link{.Call}}.
}
\references{
}
\author{
Duncan Temple Lang <duncan@research.bell-labs.com>
}

\seealso{
 \code{\link[pkg:base]{.Call}}
}

\examples{
}
\keyword{interface}
