\name{gtdFlush}
\alias{gdkFlush}
\title{Flush Gtk events}
\description{
This is a simple call to ensure that events
that actions that affect widgets, etc.
are sent to the server and made available
to the R event loop.
This helps to update displays, etc.
}
\usage{
gdkFlush()
}
\value{
}
\references{
\url{http://www.gtk.org}
\url{http://www.omegahat.org/RGtk}
}
\author{Duncan Temple Lang}
\note{Many of the Gtk/Gdk functions
  have a \code{.flush} argument which, if \code{TRUE}, has
  the same effect as calling \code{gdkFlush}
  after that function is called.}

\seealso{
\code{\link{gtkAdd}}
\code{\link{gtkShow}}
}

\examples{
 gdkFlush()

   # create new widget
 w <- gtkWindow(show = FALSE)
 b <- gtkButton("A button")

 w$Add(b)
 gtkShow(w)
 gdkFlush()
   
}
\keyword{interface}
\keyword{GUI}
