#include "gtkUtils.h"
#include "gtkFuncs.h"
#include "gtkEnum.h"


#include "RGtk.h"

USER_OBJECT_
S_GtkEditableGetSelectionStartPos (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkEditable * obj;
   unsigned int val;

   obj = GTK_EDITABLE ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->selection_start_pos;
  _result = asRInt ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkEditableGetSelectionEndPos (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkEditable * obj;
   unsigned int val;

   obj = GTK_EDITABLE ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->selection_end_pos;
  _result = asRInt ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkTreeItemGetSubtree (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkTreeItem * obj;
   GtkWidget * val;

   obj = GTK_TREE_ITEM ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->subtree;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkNotebookGetTabPos (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkNotebook * obj;
   GtkPositionType val;

   obj = GTK_NOTEBOOK ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->tab_pos;
   _result =  S_check_GtkPositionType_value (asRInt( val ));

   return(_result);
} 
USER_OBJECT_
S_GtkRulerGetPosition (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkRuler * obj;
   float val;

   obj = GTK_RULER ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->position;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkFontSelectionDialogGetFontsel (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFontSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_FONT_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->fontsel;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFontSelectionDialogGetMainVbox (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFontSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_FONT_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->main_vbox;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFontSelectionDialogGetActionArea (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFontSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_FONT_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->action_area;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFontSelectionDialogGetOkButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFontSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_FONT_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->ok_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFontSelectionDialogGetApplyButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFontSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_FONT_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->apply_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFontSelectionDialogGetCancelButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFontSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_FONT_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->cancel_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetDirList (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->dir_list;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetFileList (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->file_list;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetSelectionEntry (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->selection_entry;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetSelectionText (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->selection_text;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetMainVbox (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->main_vbox;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetOkButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->ok_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetCancelButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->cancel_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkFileSelectionGetHelpButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkFileSelection * obj;
   GtkWidget * val;

   obj = GTK_FILE_SELECTION ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->help_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkColorSelectionDialogGetColorsel (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkColorSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_COLOR_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->colorsel;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkColorSelectionDialogGetMainVbox (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkColorSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_COLOR_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->main_vbox;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkColorSelectionDialogGetOkButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkColorSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_COLOR_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->ok_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkColorSelectionDialogGetResetButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkColorSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_COLOR_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->reset_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkColorSelectionDialogGetCancelButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkColorSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_COLOR_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->cancel_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkColorSelectionDialogGetHelpButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkColorSelectionDialog * obj;
   GtkWidget * val;

   obj = GTK_COLOR_SELECTION_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->help_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkDialogGetVbox (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkDialog * obj;
   GtkWidget * val;

   obj = GTK_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->vbox;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkDialogGetActionArea (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkDialog * obj;
   GtkWidget * val;

   obj = GTK_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->action_area;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkGammaCurveGetTable (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkGammaCurve * obj;
   GtkWidget * val;

   obj = GTK_GAMMA_CURVE ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->table;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkGammaCurveGetCurve (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkGammaCurve * obj;
   GtkWidget * val;

   obj = GTK_GAMMA_CURVE ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->curve;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkGammaCurveGetGamma (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkGammaCurve * obj;
   float val;

   obj = GTK_GAMMA_CURVE ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->gamma;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkGammaCurveGetGammaDialog (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkGammaCurve * obj;
   GtkWidget * val;

   obj = GTK_GAMMA_CURVE ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->gamma_dialog;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkGammaCurveGetGammaText (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkGammaCurve * obj;
   GtkWidget * val;

   obj = GTK_GAMMA_CURVE ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->gamma_text;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkInputDialogGetCloseButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkInputDialog * obj;
   GtkWidget * val;

   obj = GTK_INPUT_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->close_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkInputDialogGetSaveButton (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkInputDialog * obj;
   GtkWidget * val;

   obj = GTK_INPUT_DIALOG ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->save_button;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkTextGetHadj (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkText * obj;
   GtkAdjustment * val;

   obj = GTK_TEXT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->hadj;
   _result = toRPointer(val, "GtkAdjustment");

   return(_result);
} 
USER_OBJECT_
S_GtkTextGetVadj (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkText * obj;
   GtkAdjustment * val;

   obj = GTK_TEXT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->vadj;
   _result = toRPointer(val, "GtkAdjustment");

   return(_result);
} 
USER_OBJECT_
S_GtkScrolledWindowGetHscrollbar (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkScrolledWindow * obj;
   GtkWidget * val;

   obj = GTK_SCROLLED_WINDOW ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->hscrollbar;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkScrolledWindowGetVscrollbar (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkScrolledWindow * obj;
   GtkWidget * val;

   obj = GTK_SCROLLED_WINDOW ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->vscrollbar;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkAdjustmentGetValue (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkAdjustment * obj;
   float val;

   obj = GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->value;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkAdjustmentGetLower (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkAdjustment * obj;
   float val;

   obj = GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->lower;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkAdjustmentGetUpper (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkAdjustment * obj;
   float val;

   obj = GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->upper;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkAdjustmentGetStepIncrement (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkAdjustment * obj;
   float val;

   obj = GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->step_increment;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkAdjustmentGetPageIncrement (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkAdjustment * obj;
   float val;

   obj = GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->page_increment;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkAdjustmentGetPageSize (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkAdjustment * obj;
   float val;

   obj = GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->page_size;
  _result = asRNumeric ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkCListGetFocusRow (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkCList * obj;
   int val;

   obj = GTK_CLIST ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->focus_row;
  _result = asRInt ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkCListGetColumns (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkCList * obj;
   int val;

   obj = GTK_CLIST ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->columns;
  _result = asRInt ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkCListGetRows (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkCList * obj;
   int val;

   obj = GTK_CLIST ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->rows;
  _result = asRInt ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkComboGetEntry (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkCombo * obj;
   GtkWidget * val;

   obj = GTK_COMBO ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->entry;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkComboGetList (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkCombo * obj;
   GtkWidget * val;

   obj = GTK_COMBO ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->list;
   _result = R_gtkWidgetReference((GtkWidget*)val, "GtkWidget");

   return(_result);
} 
USER_OBJECT_
S_GtkToggleButtonGetDrawIndicator (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkToggleButton * obj;
   Rboolean val;

   obj = GTK_TOGGLE_BUTTON ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->draw_indicator;
  _result = asRLogical ( val );

   return(_result);
} 
USER_OBJECT_
S_GtkCheckMenuItemGetActive (USER_OBJECT_ s_obj)
{
   USER_OBJECT_ _result;

   GtkCheckMenuItem * obj;
   unsigned int val;

   obj = GTK_CHECK_MENU_ITEM ((GtkObject*) getPtrValue( s_obj )) ;
   val = obj->active;
  _result = asRInt ( val );

   return(_result);
} 
